body{
    background-color: #181818;
    margin: 0;
    font-family: 'Geomanist',Arial, Helvetica, sans-serif;

}
  @media all and (min-width:1440px) {
    body {
    zoom: 1.25; /* Scales everything to 125% */
    -moz-transform: scale(1.25); /* Firefox fallback */
    -moz-transform-origin: 0 0;
}
  }
.page-border {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    border: 10px solid #fff; /* border color and thickness */
    pointer-events: none; /* lets clicks pass through */
    z-index: 9999;
  }
  .header{
    display: flex;
    flex-direction: row;
}

.ap-logo-container>a>img:hover{
    transform: scale(1.1);
    transition: transform 0.1s ease-in-out;
    background-image: url(../images/hover-ap-logo-img.png);
}
.ap-logo-container{
    margin: 50px;
    position: fixed;
    top: 30px;
    left: 30px;
}
.transparent-div{
    margin-left: 78%;
    overflow-y: auto;
    
}
.nav-bar{
    width: 100%;
    position: fixed;
    top: 50px;
    left: 87%;

}
.nav-bar>ul{
    list-style-type: none;
    
    
}
.nav-bar>ul>li{
    padding: 5px;
}
#shuffle{
    text-decoration: none;
    font-weight: bold;
    color: #fff;
}
#shuffle:hover{
    color: #B3A577;
    
}
#shuffle.active{
    color: #B3A577;
}
.background {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-image: url(../images/about-background.jpg);
        background-size: cover;
        background-position: center;
        transition: opacity 0.3s ease-out; /* Smooth fade effect */
        z-index: -1;
    }

.about-me{
    width: 100%;
    /* height: 300vh; */
    /* background-image: url(../images/about-background.jpg) ;
    background-size: 100% 100vh;
    background-repeat: no-repeat; */
    align-items: center;
    justify-content: center;
    text-align: center;
    display: flex;
    flex-direction: column;
}

.content{
    width: 75%;
    margin-top: 250px;
   
}
.about{
    color:#ffffff;
    font-size: 48px;
    font-weight: 800;
   text-align: left;
  

}
.this-me{
    color: #fff;
    font-size:35px ;
    font-weight: 850;
    text-align: left;
}
.past-img{
    margin: 10px 0 0 -670px;
}
.text-present{
    color: #fff;
      font-family: 'Geomanist-bold',Arial, Helvetica, sans-serif;
    font-weight: 800;
    font-style: normal;
    font-size: 38px;
    color: #fff;
    text-align:left ;
    
}

.img-present{
    margin-bottom: 20px;
    
}
.text-under-present{
    text-align: left;
      color: #fff;
      font-family: 'Geomanist-bold',Arial, Helvetica, sans-serif;
    font-weight: 800;
    font-style: normal;
    font-size: 38px;
    color: #fff;
}
.details1{
    text-align: left;
      color: #fff;
      font-family: 'Geomanist-bold',Arial, Helvetica, sans-serif;
    font-weight: 800;
    font-style: normal;
    font-size: 38px;
    color: #fff;
}
.details2{
     text-align: left;
      color: #fff;
      font-family: 'Geomanist-bold',Arial, Helvetica, sans-serif;
    font-weight: 800;
    font-style: normal;
    font-size: 38px;
    color: #fff;
    margin-bottom: 20px;
}
.gif{
    display: flex;
    flex-direction: row;
}
.gif>img{
    width: 300px;
    height: 175px;
    margin: 0 5px;
    
    box-shadow: 0 4px 8px rgba(0,0,0,0.2);
}
.details3{
    text-align: left;
      color: #fff;
      font-family: 'Geomanist-bold',Arial, Helvetica, sans-serif;
    font-weight: 800;
    font-style: normal;
    font-size: 38px;
    color: #fff;
    margin-bottom: 100px;
}
.email{
    text-decoration: none;
    color: #fff;
}
.email:hover{
    color: #B3A577;
}
footer{width: 100%;
 
    align-items: center;
    justify-content: center;
    text-align: center;
    display: flex;
    flex-direction: column;
}
.social-media{
    width: 75%;
    margin: -50px 0 150px -90px;
    
}
.social-media ul{
    list-style-type: none;
    display: flex;
    
}
.social-media ul li{
    margin: 0 10px;


}
.social-media ul li a{
    text-decoration: none;
    font-family: 'Geomanist',Arial, Helvetica, sans-serif;
    font-size: 20px;
    font-weight: bold;
    color: #fff;
    padding: 2px;
    border-bottom: 2px solid #fff;
}
.social-media ul li a:hover{
    color: #B3A577;
    border-bottom: 2px solid #B3A577;
}
.copyright{
    font-family: 'Geomanist',Arial, Helvetica, sans-serif;
    font-size: 10px;
    color: #fff;
    margin-top: 20px;
}

.copyright:hover{
    color: #B3A577;
}

::-webkit-scrollbar {
    width: 2px; /* scrollbar width */
  }

  ::-webkit-scrollbar-track {
    background: #f1f1f1; /* track color */
  }

  ::-webkit-scrollbar-thumb {
    background: #888; /* scrollbar color */
    border-radius: 6px;
  }

  ::-webkit-scrollbar-thumb:hover {
    background: #555; /* hover color */
  }

  /* Firefox scrollbar styling */
  * {
    scrollbar-width: thin; /* "auto" or "thin" */
    scrollbar-color: #B3A577 #fff; /* thumb color, track color */
  }
@media screen and (max-width:1024px) {
    .nav-bar {
        margin-left: -35px;
    }

    .ap-logo-container {
        margin-left: 25px;
    }
}

@media screen and (max-width:768px) {
    .nav-bar {
        margin-left: -55px;
    }

    .ap-logo-container {
        margin-left: 7px;
        margin-top: 35px;
    }
}

@media (max-width:425px) {
    .nav-bar {
        position: absolute;
        margin-left: -255px;
        margin-top: -25px;
        width: fit-content;
        padding: 0;

    }

    .page-border {
        display: none;
    }

    body {
        width: fit-content;
    }

    .nav-bar>ul {
        display: flex;
        flex-direction: row;
    }

    .nav-bar>ul>li {
        font-size: 13px;
    }

    .ap-logo-container {
        margin-top: 10px;
        position: absolute;
    }

    .ap-logo-container>a>img {
        width: 30px;
    }

    p {
        font-size: 22px;
    }

    .background {
        margin-top: 30px;
        width: 425px;
        background-size: 800px;
        background-repeat: no-repeat;
        background-position: top;
    }

    .content {
        margin-top: 420px;
        margin-left: 20px;
        width: fit-content;
    }

    .about {
        font-size: 28px;
        color: #B3A577;
    }

    .this-me {
        margin-top: -20px;
        margin-bottom: 0;
        font-size: 24px;
    }

    .text-present {
        font-size: 18px;
        margin-left: 0px;
    }

    .img-present {
        width: 350px;
        height: 370px;
        /* margin-left: 0px; */
    }

    .text-under-present {
        font-size: 18px;
    }

    .details1 {
        font-size: 18px;
    }

    .gif {
        flex-direction: column;
        gap: 20px;
        margin-left: 70px;
    }

    .gif>img {
        width: 250px;
        border-radius: 10px;
    }

    .details2 {
        font-size: 17.5px;
    }

    .details3 {
        font-size: 18px;
    }

    .content>img {
        margin-left: -40px;
        border-radius: 10px;
    }

    .intro-container {
        width: 360px;
        /* margin-left: -240px; */
        margin-left: 35px;
    }

    .header {
        width: 300px;
    }

    main {
        width: fit-content;

    }

    .social-media {
        margin-left: -110px;
        width: fit-content;
        /* width: 50px; */
    }

    .social-media>ul>li>a {
        font-size: 15px;
    }

    .copyright {
        margin-left: 20px;
        width: fit-content;

    }


}

@media (max-width:375px) {
    .nav-bar {
        margin-left: -250px;
    }

    .profile-img {
        width: 300px;
        height: 300px;
        margin-top: 200px;
    }

    .intro-container {
        width: 430px;
        margin-left: 20px;
    }

    p {
        font-size: 23px;
    }

    .img-present {
        margin-right: -20px;
    }

    .gif {
        width: fit-content;
    }

    .gif>img {
        margin-left: -20px;
    }

    .nav-bar>ul>li {
        font-size: 12px;
    }

    .social-media {
        margin-left: -120px;
    }

    .social-media>ul>li>a {
        font-size: 13px;
    }
}

@media (max-width:320px) {
    .nav-bar {
        margin-left: -100px;
    }

    .ap-logo-container>a>img {
        width: 40px;
    }

    .profile-img {
        margin-left: 50px;
        margin-top: 300px;
        width: 400px;
        height: 400px;
    }

    .nav-bar>ul>li {
        font-size: 20px;
    }

    .intro-container {
        width: 550px;
    }

    p {
        font-size: 35px;
    }

    .social-media {
        margin-left: -120px;
    }

    .social-media>ul>li>a {
        font-size: 25px;
    }

    .copyright>span {
        font-size: 15px;
    }

}
